.dashboard-style {
  .search-form {
    margin-bottom: 0;
    border-bottom: 1px dashed #bccad8;
  }

   h3 {
    padding: 8px;
    margin: 0;
    font-size: 13px;
    text-transform: uppercase;
    font-weight: 600;
    background-color: #f3f3f3;
    border-bottom: 1px dashed #bccad8;

    .radio-inline {
      margin: -2px 0 0 4px;
      font-weight: 500;
      font-size: 11px;
      text-transform: none;

      input[type='radio'] {
        margin: 0 0 0 -20px;
      }
    }
  }
  .report-block {
    display: flex;
    flex-direction: row;
    align-items: stretch;
    overflow-x: auto;
    background-color: $color-light;
    padding: 5px;
    .area-block {
      min-height: 192px;
      padding: 0;
      float: left;
      margin-right: 2.5px;
      margin-bottom: 0;
      width: calc(50% - 1.25px);
      &:first-child, &:nth-child(2) {
        margin-bottom: 2.5px;
      }
      &:nth-child(2n) {
        margin-right: 0;
      }
    }
    h3 {
      border-bottom: 1px solid lighten($color-gray-lightest, 40%);
      padding: 8px;
      color: $color-primary;
      margin: 0;
      font-size: 13px;
      text-transform: uppercase;
      font-weight: 600;
    }
    .dashboard-block {
      min-height: 120px;
      display: table;
      width: 100%;
      padding: 10px 0;
      height: 154px;
      overflow-y: auto;
      .icon-status {
        text-align: center;
        display: table-cell;
        vertical-align: middle;
        height: 100%;
        float: none;
        padding: 20px 30px;
        i {
          color: $color-primary;
          font-size: 60px;
          text-align: center;

        }
      }
      .dashboard-detail {
        height: 100%;
        display: table-cell;
        vertical-align: middle;
        float: none;
        padding-left: 30px;
        background: url('/assets/images/left-boder.png');
        background-repeat: no-repeat;
        background-size: contain;
        background-position: left center;

        ul {
          list-style: none;
          padding: 0;
          margin-right: 15px;
          li {
            .number-color {
              font-size: 18px;
              margin-right: 5px;

            }
            &:first-child {
              .number-color {
                color: $color-primary;
              }
            }
            &:nth-child(2) {
              .number-color {
                color: $color-danger;
              }
            }
            &:nth-child(3) {
              .number-color {
                color: $color-success;
              }
            }
            &:nth-child(4) {
              .number-color {
                color: $color-active;
              }
            }
          }
        }

      }
    }
    .block-border {
      border: 1px solid #ddd;
      margin-right: 5px;
      &:first-child {
        flex: 1;
      }
      &:last-child {
        margin-right: 0;
        flex: 1;
      }
    }
  }
  .report-block1 {
    background-color: $color-light;
    padding: 5px;
    .area-block {
      min-height: 192px;
      padding: 0;
      float: left;
      margin-right: 2.5px;
      margin-bottom: 0;
      width: calc(50% - 1.25px);
      &:first-child, &:nth-child(2) {
        margin-bottom: 2.5px;
      }
      &:nth-child(2n) {
        margin-right: 0;
      }
    }
    h3 {
      border-bottom: 1px solid lighten($color-gray-lightest, 40%);
      padding: 8px;
      color: $color-primary;
      margin: 0;
      font-size: 13px;
      text-transform: uppercase;
      font-weight: 600;
    }
    .dashboard-block {
      min-height: 120px;
      display: table;
      width: 100%;
      padding: 10px 0;
      height: 154px;
      overflow-y: auto;
      .icon-status {
        text-align: center;
        display: table-cell;
        vertical-align: middle;
        height: 100%;
        float: none;
        padding: 20px 30px;
        i {
          color: $color-primary;
          font-size: 60px;
          text-align: center;

        }
      }
      .dashboard-detail {
        height: 100%;
        display: table-cell;
        vertical-align: middle;
        float: none;
        padding-left: 30px;
        background: url('/assets/images/left-boder.png');
        background-repeat: no-repeat;
        background-size: contain;
        background-position: left center;

        ul {
          list-style: none;
          padding: 0;
          margin-right: 15px;
          li {
            .number-color {
              font-size: 18px;
              margin-right: 5px;

            }
            &:first-child {
              .number-color {
                color: $color-primary;
              }
            }
            &:nth-child(2) {
              .number-color {
                color: $color-danger;
              }
            }
            &:nth-child(3) {
              .number-color {
                color: $color-success;
              }
            }
            &:nth-child(4) {
              .number-color {
                color: $color-active;
              }
            }
          }
        }

      }
    }
  }

  .alert-style {
    padding: 10px;
    border-radius: 2px;
    color: $color-light;
    margin-right: 5px;
    width: calc(100% / 4 - 3px);
    &:first-child {
      border-left: 5px solid darken($color-active, 10%);
      background-color: $color-active;
    }
    &:nth-child(2) {
      border-left: 4px solid darken($color-warning-darken, 10%);
      background-color: $color-warning-darken;
    }
    &:nth-child(3) {
      border-left: 4px solid darken($color-primary, 10%);
      background-color: $color-primary;
    }
    &:nth-child(4) {
      border-left: 4px solid darken($color-default, 10%);
      background-color: $color-default;
    }
    &:last-child {
      margin-right: 0;
    }

    &.capacity-expansion {
      padding: 2px 10px;

      a {
        &.view-more-link {
          float: right;
          color: #ffffff;
          text-decoration: underline;

          &:hover {
            color: blue;
          }
        }
      }
    }

    a {
      &.red-link {
        color: #D91E18;
      }
      &.orange-link {
        color: #da7327;
      }

      &.dark-blue-link {
        color: #102247;
      }

      &.blue-link {
        color: #63c7d5;
      }
    }
  }
}

.dashboard-widgets {

  h3 {

    background-color: #f3f3f3;
    border-bottom: 1px solid lighten($color-gray-lightest, 40%);
    padding: 2px 5px;
    margin: 0;
    font-size: 13px;
    text-transform: uppercase;
    color: #545454;
    font-weight: normal;
    line-height: 36px;

    .form-style-dashboard{
      text-transform: capitalize;
      color: $color-gray;
      width: calc(100% / 3 - 12px);
      margin-right: 5px;
      label {
        width: 100%;
        margin-bottom: 4px;
        float: left;
        line-height: 10px;
        font-size: 11px;
      }
      select {
        width: 100%;
      }

      select[disabled] {
        background-color: lighten($color-gray-lightest,40%);
      }
    }
  }
  .dashboard-detail {
    min-height: 220px;
    max-height: auto;
    background-color: $color-light;
    margin-bottom: 0;
    .table-style-dashboard {
      height: 174px;

      &.quality-info {
        height: 215px;
        overflow: hidden;
      }
    }
    .table-style-dashboard2 {
      height: auto;
      .table-dashboard {
        border-bottom: none;
        thead {
          tr {
            th {
              padding: 6px;
            }
          }
        }
      }
    }

    .turn-label {
      position: absolute;
      bottom: 4px;
      left: 10px;
      font-weight: 600;
    }
  }

  .panel-chart {

    margin-bottom: 3px;
    box-shadow: 0 7px 10px rgba(140, 140, 140, 0.7);
    position: relative;
    background-color: $color-light;
    .icon-chart-block {
      li {

        a {
          font-size: 1.6rem;
          padding: 0 2px;
          cursor: pointer;
          border-bottom: none;
          i {
            margin-right: 0;
          }
        }

      }
    }

    .tab-content{
      padding: 10px;
    }

    .chart-pagination {
      height: 22px;
      background-color: $color-light;
      padding-right: 5px;
      ul.pagination{
        li{
          a{
            padding: 0px 5px;
            border: none;
          }
          &.active{
            a{
              color: $color-active;
              background-color: transparent;
            }
          }
          &:hover{
            a{
              background-color: transparent;
              color: $color-active;
            }
          }
        }
      }
    }
    .select-control {
      position: absolute;
      .form-style-dashboard {
        width: calc(100% / 3 - 5px);
        margin-right: 5px;
        label {
          width: 100%;
          margin-bottom: 5px;
          float: left;
          line-height: 10px;
          font-size: 11px;
        }
        select {
          width: 100%;
        }

        .icon-datepicker {
          margin-top: -27px;
          float: right;
          z-index: 2;
          display: block;
          width: 34px;
          height: 34px;
          line-height: 34px;
          text-align: center;
          pointer-events: none;
        }
      }


    }
    a.fa-search {
      position: absolute;
      right: 8px;
      top: 10px;
      display: flex;
      justify-content: center;
      font-size: 1.6rem;
    }
    .form-block-dashboard{
      display:flex;
      justify-content:center;
      align-items:center;
      position: absolute;
      z-index: 9999;
      top: 40px;
      padding:2px 5px 0 5px;
      background-color: #e2e2e2;
      right: 0px;
      left: 0px;
    }
    &:nth-child(3n){
      margin-right: 0;
    }

    .hide-xaxes-type-chart {
      padding-right: 20px;
    }
  }
  .table-dashboard {
    border-bottom: 1px solid #ddd;
    thead {
      tr {
        th {
          background-color: lighten($color-gray, 65%);
          font-weight: 600;
          color: $color-primary;
          border-right: 1px solid rgba(255, 255, 255, 0.25);
          padding: 6px 5px;
        }
      }
    }
    tbody {
      tr {

        &:nth-child(2n) {
          td {
            background-color: lighten($color-text-sidebar, 20%);
            border-right: 1px dashed rgba(255, 255, 255, 0.25);
          }
        }
        &:nth-child(1) {
          td:last-child {
            color: #008000;
          }
        }
        &:nth-child(2) {
          td:last-child {
            color: $color-danger;
          }
        }
        &:nth-child(3) {
          td:last-child {
            color: $color-active;
          }
        }
        &:nth-child(4) {
          td:last-child {
            color: $color-primary;
          }
        }
        &.total {
          td {
            font-weight: 600;
            color: $color-primary;
          }
        }
      }
    }

  }
  .paging {
    padding: 12px 0;
    .pagination {
      li {
        a {
          border: none;
          background-color: transparent;
          color: lighten($color-gray, 35%);
        }
        &:hover, &.active {
          a {
            color: $color-active;
          }
        }
      }
    }
  }
  .showing {
    color: $color-black;
    line-height: 22px;
  }
}


canvas{
  width: auto !important;
  max-height: 280px !important;
  margin: 0 auto;
}

.icon-chart-block{
  float: right;
  margin: 10px 0 0 0;
}

.panel-chart{
  ul.nav-tabs{
    border: none !important;
  }
  ul.nav-tabs li > a,
  ul.nav-tabs li.active > a, ul.nav-tabs li a:hover, ul.nav-tabs li.active > a:focus{
    background-color: inherit !important;
    color: #60a9de !important;
  }
  .nav-tabs > li.active > a{
    border: none !important;
  }

}

